Apache C++ Standard Library Reference Guide

## ios_base::failure

Library: Input/output

    ios_base::failure  exception

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

An exception class

### Synopsis

    #include <ios>

### Description

Objects of class ios_base::failure or a derived class are thrown when an error is encountered in an ios operation; for example, when an error bit is set. The class is derived from exception, and thrown by ios_base and others.

### Interface

    namespace std {
          class ios_base::failure : public exception {
          public:
            explicit failure(const string& msg);
            virtual ~failure();
            virtual const char* what() const throw();
          };
    }

### See Also

Exceptions, bad_alloc, bad_cast, bad_exception, bad_typeid, domain_error, exception, invalid_argument, length_error, logic_error, out_of_range, overflow_error, range_error, runtime_error, underflow_error

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 27.4.2.1.1